Subject: [mpls-tp] Query on draft-ietf-mpls-lsp-ping-mpls-tp-oam-conf-00

From: Lavanya Srivatsa <[email-masked]>
Date: Mon, 7 Mar 2011 13:14:06 +0530

To the authors,

Section 3.1 states that all "the applicability scenarios description and the related configurations and mechanisms" of the [RSVP-TE CONF] draft are applicable while using LSP Ping for OAM configurations.
While the OAM Configuration TLV and its sub-TLVs (PM, LM etc) can be reused in LSP Ping messages, what is not clear is how these TLVs are to be in carried in an LSP Ping message.
For RSVP-TE, these are carried within the LSP_ATTRIBUTES object. For LSP Ping, is the OAM Config TLV and its sub-TLVs intended to be carried similar to other LSP Ping related TLVs (such as target FEC, DSmap etc)?

On the same lines, in order to change parameters of an already established and configured OAM function during the lifetime of the LSP, the [OAM-CONF-FWK] draft talks about extending the ADMIN_STATUS object for incorporating bits for "OAM Flows Enabled" and "OAM Alarms Enabled" that are to be used during the process of the establishment of MPLS-TP OAM entities.
In the case of LSP Ping, is the Global Flags field described in Section 3 of [RFC4379] to be extended to incorporate the above?

Please let me know if I am missing something here.
Clarifying the above 2 aspects in this [LSP PING OAM CONF] draft would be highly desirable.

- Lavanya